Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload.portlet
Class PortletFileUpload

    java.lang.Object
      org.apache.commons.fileupload.FileUploadBase
          org.apache.commons.fileupload.FileUpload
              org.apache.commons.fileupload.portlet.PortletFileUpload

    public class PortletFileUpload

extends FileUpload

High level API for processing file uploads.

This class handles multiple files per single HTML widget, sent using `multipart/mixed` encoding type, as specified by RFC 1867. Use `FileUploadBase.parseRequest(javax.servlet.http.HttpServletRequest)` to acquire a list of `FileItems` associated with a given HTML widget.

How the data for individual parts is stored is determined by the factory used to create them; a given part may be in memory, on disk, or somewhere else.

Since:
  FileUpload 1.1
Version:
  $Id: PortletFileUpload.java 479484 2006-11-27 01:06:53Z jochen $
Author:
  Rafal Krzewski, Daniel Rall, Jason van Zyl, John McNally, Martin Cooper, Sean C. Sullivan

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.fileupload.FileUploadBase
`FileUploadBase.FileSizeLimitExceededException, FileUploadBase.FileUploadIOException, FileUploadBase.InvalidContentTypeException, FileUploadBase.IOFileUploadException, FileUploadBase.SizeException, FileUploadBase.SizeLimitExceededException, FileUploadBase.UnknownSizeException`

Field Summary

Fields inherited from class org.apache.commons.fileupload.FileUploadBase
`ATTACHMENT, CONTENT_DISPOSITION, CONTENT_LENGTH, CONTENT_TYPE, FORM_DATA, MAX_HEADER_SIZE, MULTIPART, MULTIPART_FORM_DATA, MULTIPART_MIXED`

Constructor Summary
`PortletFileUpload()` Constructs an uninitialised instance of this class.
`PortletFileUpload(FileItemFactory fileItemFactory)` Constructs an instance of this class which uses the supplied factory to create `FileItem` instances.

Method Summary
`FileItemIterator` | `getItemIterator(javax.portlet.ActionRequest request)` Processes an RFC 1867 compliant `multipart/form-data` stream.
`static boolean` | `isMultipartContent(javax.portlet.ActionRequest request)` Utility method that determines whether the request contains multipart content.
`java.util.List` | `parseRequest(javax.portlet.ActionRequest request)` Processes an RFC 1867 compliant `multipart/form-data` stream.

Methods inherited from class org.apache.commons.fileupload.FileUpload
`getFileItemFactory, setFileItemFactory`

Methods inherited from class org.apache.commons.fileupload.FileUploadBase
`createItem, getBoundary, getFieldName, getFieldName, getFileName, getFileName, getFileSizeMax, getHeader, getHeaderEncoding, getItemIterator, getParsedHeaders, getProgressListener, getSizeMax, isMultipartContent, isMultipartContent, newFileItemHeaders, parseHeaders, parseRequest, parseRequest, setFileSizeMax, setHeaderEncoding, setProgressListener, setSizeMax`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletFileUpload

    public PortletFileUpload()

  Constructs an uninitialised instance of this class. A factory must be configured, using `setFileItemFactory()`, before attempting to parse requests.

  See Also:
    `FileUpload.FileUpload(FileItemFactory)`

### PortletFileUpload

    public PortletFileUpload(FileItemFactory fileItemFactory)

  Constructs an instance of this class which uses the supplied factory to create `FileItem` instances.

  Parameters:
    `fileItemFactory` - The factory to use for creating file items.
  See Also:
    `FileUpload.FileUpload()`

Method Detail

### isMultipartContent

    public static final boolean isMultipartContent(javax.portlet.ActionRequest request)

  Utility method that determines whether the request contains multipart content.

  Parameters:
    `request` - The portlet request to be evaluated. Must be non-null.
  Returns:
    `true` if the request is multipart; `false` otherwise.

### parseRequest

    public java.util.List parseRequest(javax.portlet.ActionRequest request)
                                throws FileUploadException

  Processes an RFC 1867 compliant `multipart/form-data` stream.

  Parameters:
    `request` - The portlet request to be parsed.
  Returns:
    A list of `FileItem` instances parsed from the request, in the order that they were transmitted.
  Throws:
    `FileUploadException` - if there are problems reading/parsing the request or storing files.

### getItemIterator

    public FileItemIterator getItemIterator(javax.portlet.ActionRequest request)
                                     throws FileUploadException,
                                            java.io.IOException

  Processes an RFC 1867 compliant `multipart/form-data` stream.

  Parameters:
    `request` - The portlet request to be parsed.
  Returns:
    An iterator to instances of `FileItemStream` parsed from the request, in the order that they were transmitted.
  Throws:
    `FileUploadException` - if there are problems reading/parsing the request or storing files.
    `java.io.IOException` - An I/O error occurred. This may be a network error while communicating with the client or a problem while storing the uploaded content.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2002-2008 The Apache Software Foundation. All Rights Reserved.